### Method

# Gimp Image get_selected_layers

#### Declaration [src]

    GimpLayer**
    gimp_image_get_selected_layers (
      GimpImage* image,
      gint* num_layers
    )

#### Description [src]

Returns the specified image’s selected layers.

This procedure returns the list of selected layers in the specified image.

Available since: | 3.0.0
This method is not directly available to language bindings.

#### Parameters

`num_layers` | `gint*`
| The number of selected layers in the image.
| The argument will be set by the function.

#### Return value

Returns: | An array of `GimpLayer*`

         The list of selected layers in the image.
         The returned value must be freed with g_free().

| The length of the array is in the `num_layers` argument.
| The caller of the method takes ownership of the data container, but not the data inside it.